# Uses of Class
org.opensaml.saml.common.SAMLException

Packages that use SAMLException
Package
Description
org.opensaml.saml.common.assertion
Common classes for validating SAML Assertions.
org.opensaml.saml.common.binding
Classes related to SAML binding operations.
org.opensaml.saml.common.profile
Classes supporting general SAML profile behavior.
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.saml.saml1.profile
Classes for SAML 1.x profile behavior.
org.opensaml.saml.saml2.profile
Classes for SAML 2.0 profile behavior.

## Uses of SAMLException in org.opensaml.saml.common.assertion

Subclasses of SAMLException in org.opensaml.saml.common.assertion
Modifier and Type
Class
Description
`class`
`AssertionValidationException`
Exception indicating a problem validating a SAML Assertion.

## Uses of SAMLException in org.opensaml.saml.common.binding

Subclasses of SAMLException in org.opensaml.saml.common.binding
Modifier and Type
Class
Description
`class`
`BindingException`
Base exception for errors that occur when messages are encoded/decoded for a specific binding.

## Uses of SAMLException in org.opensaml.saml.common.profile

Methods in org.opensaml.saml.common.profile that throw SAMLException
Modifier and Type
Method
Description
`protected abstract NameIdType`
AbstractNameIdentifierGenerator.`doGenerate(ProfileRequestContext profileRequestContext)`
Override this method to fully control the generation process.
`NameIdType`
AbstractNameIdentifierGenerator.`generate(ProfileRequestContext profileRequestContext, String theFormat)`
Generate an identifier object.
`NameIdType`
NameIdentifierGenerator.`generate(ProfileRequestContext profileRequestContext, String format)`
Generate an identifier object.
`protected String`
AbstractNameIdentifierGenerator.`getIdentifier(ProfileRequestContext profileRequestContext)`
Override this method to reuse this implementation of `AbstractNameIdentifierGenerator.doGenerate(ProfileRequestContext)`, and return the identifier to be included as the value of the eventual element.

## Uses of SAMLException in org.opensaml.saml.common.profile.impl

Methods in org.opensaml.saml.common.profile.impl that throw SAMLException
Modifier and Type
Method
Description
`NameIdType`
ChainingNameIdentifierGenerator.`generate(ProfileRequestContext profileRequestContext, String format)`
Generate an identifier object.

## Uses of SAMLException in org.opensaml.saml.saml1.profile

Methods in org.opensaml.saml.saml1.profile that throw SAMLException
Modifier and Type
Method
Description
`protected NameIdentifier`
AbstractSAML1NameIdentifierGenerator.`doGenerate(ProfileRequestContext profileRequestContext)`
Override this method to fully control the generation process.
`NameIdentifier`
SAML1NameIdentifierGenerator.`generate(ProfileRequestContext profileRequestContext, String format)`
Generate an identifier object.

## Uses of SAMLException in org.opensaml.saml.saml2.profile

Methods in org.opensaml.saml.saml2.profile that throw SAMLException
Modifier and Type
Method
Description
`protected NameID`
AbstractSAML2NameIDGenerator.`doGenerate(ProfileRequestContext profileRequestContext)`
Override this method to fully control the generation process.
`NameID`
SAML2NameIDGenerator.`generate(ProfileRequestContext profileRequestContext, String format)`
Generate an identifier object.